const _Http = getApp().globalData.http;
let content = null;
let condition = "";
Page({
    data: {

    },
    onLoad(options) {},
    getList() {
        _Http.basic({
            "classname": "saletool.courseware.courseware",
            "method": "selectMenu",
            "content": {
                pageSize: 999,
                "where": {
                    condition
                }
            }
        }).then(res => {
            console.log('分类', res)
            if (res.msg != '成功') return wx.showToast({
                title: res.msg,
                icon: "none"
            });
            this.setData({
                list: res.data
            })
        })

        _Http.basic({
            "classname": "saletool.courseware.courseware",
            "method": "queryReadLog",
            "content": {
                "pageNumber": 1,
                "pageSize": 15,
                "where": {
                    condition
                }
            }
        }).then(res => {
            console.log('学习足迹', res)
            if (res.msg != '成功') return wx.showToast({
                title: res.msg,
                icon: "none"
            });
            this.setData({
                history: res.data
            })
        })
    },
    onSearch({detail}){
        condition = detail;
        this.getList()
    },
    onShow() {
        this.getList()
    },
    toExam() {
        wx.navigateTo({
            url: '/pages/exam/index',
        })
    }
})